body{
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}
a{
    position: relative;
    padding: 20px 20px 20px 30px;
    color: #262626;
    font-size: 24px;
    font-family: sans-serif;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 10px;
    /* background: #ccc; */
}
a:before{
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 2px;
    background: #262626;
    transform-style: linear;
    transition-property: height,width;
    transition-delay: 0.5s,1s;
    transition-duration: 0.5s;
}
a:hover:before{
    transition-delay: 0s, .5s;
    transition-property: width,height;
    width: 2px;
    height: 100%;
}
a:after{
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #fbff1e;
    transform: scaleX(0);
    transition: 0.5s;
    transition-delay: 0s;
    transform-origin: right;
    z-index: -1;
}
a:hover:after{
    transform: scaleX(1);
    transition-delay: 1s;
}